Subject: bug#17884: 24.3.92; `vc-next-action' discards commit message

From: Glenn Morris <[email-masked]>
Date: Sat, 12 Jul 2014 16:25:20 -0400

Paul Eggert wrote:

> bzr 117371 didn't use log-edit-empty-buffer-p, as its module might not
> be loaded and I didn't want to introduce an unnecessary dependency.
> But perhaps the dependency is necessary after all.

I don't see the issue.
We are talking about vc-dispatcher calling log-edit, which is defined in
log-edit.el, which is also where log-edit-empty-buffer-p is defined.
So just make vc-log-edit explicitly require log-edit?

For the other thing I mentioned, I think checking whether there is an
existing local value of vc-log-fileset that matches the new one should
cover it.